import * as z from 'zod';
import { Prisma } from '../../../generated/prisma';
import Decimal from 'decimal.js';
import { CommissionBatchCreateNestedOneWithoutItemsInputObjectSchema as CommissionBatchCreateNestedOneWithoutItemsInputObjectSchema } from './CommissionBatchCreateNestedOneWithoutItemsInput.schema';
import { PaymentCreateNestedOneWithoutCommissionBatchItemsInputObjectSchema as PaymentCreateNestedOneWithoutCommissionBatchItemsInputObjectSchema } from './PaymentCreateNestedOneWithoutCommissionBatchItemsInput.schema'

import { DecimalJSLikeSchema, isValidDecimalInput } from '../../helpers/decimal-helpers';
const makeSchema = () => z.object({
  collectionAmount: z.union([
  z.number(),
  z.string(),
  z.instanceof(Decimal),
  z.instanceof(Prisma.Decimal),
  DecimalJSLikeSchema,
]).refine((v) => isValidDecimalInput(v), {
  message: "Field 'collectionAmount' must be a Decimal",
}),
  commissionBatch: z.lazy(() => CommissionBatchCreateNestedOneWithoutItemsInputObjectSchema),
  payment: z.lazy(() => PaymentCreateNestedOneWithoutCommissionBatchItemsInputObjectSchema)
}).strict();
export const CommissionBatchItemCreateInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemCreateInput>;
export const CommissionBatchItemCreateInputObjectZodSchema = makeSchema();
